#include <stdio.h>
#include <stdlib.h>
int main(int argc, char * * argv)
{
  if (argc != 2)
    {
      return EXIT_FAILURE;
    }
  FILE * fptr = fopen(argv[1], "r");
  if (fptr == NULL)
    {
      // Do NOT fclose(fptr);
      return EXIT_FAILURE;
    }
  int ch;  // must not be  unsigned char 
  int count = 0;
  while ((ch = fgetc(fptr)) != EOF)
    {
      printf("ch = %d, %c\n", ch, ch);
      count ++;
    }
  printf("The file has %d bytes\n", count);
  fclose(fptr); // otherwise, leak memory
  return EXIT_SUCCESS;
}

