#include <stdio.h>
#include <stdlib.h>
// different ways to read file

int main(int argc, char * * argv)
{
  if (argc != 2)
    {
      return EXIT_FAILURE;
    }
  FILE * fptr = fopen(argv[1], "r");
  if (fptr == NULL)
    {
      // Do NOT fclose(fptr);
      return EXIT_FAILURE;
    }
  int ch;  // must not be unsigned char
  while ((ch = fgetc(fptr)) != EOF)
    {
      printf("ch = %d, %c\n", ch, ch);
    }
  // return the beginning of the file
  fseek(fptr, 0, SEEK_SET); 
  int val;
  while (fscanf(fptr, "%d", & val) == 1)
    {
      printf("val = %d\n", val);
    }
  // return the beginning of the file
  fseek(fptr, 0, SEEK_SET); 
  char buf[80];
  while (fgets(buf, 80, fptr) != NULL)
    {
      printf("buff = %s", buf);
    }
  fclose(fptr);
  return EXIT_SUCCESS;
}

